## com.bbn.openmap.util.cacheHandler
Class CacheObject

    java.lang.Object
      com.bbn.openmap.util.cacheHandler.CacheObject

public class CacheObject
extends java.lang.Object

Field Summary
`int` `cachedTime`
`java.lang.Object` `id`
`java.lang.Object` `obj`

Constructor Summary
`CacheObject(java.lang.Object identifier, java.lang.Object cachedObject)` New object, set the local clock to zero

Method Summary
`boolean` `match(java.lang.Object queryID)`
`boolean` `older(int time)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### obj

    public java.lang.Object obj

### cachedTime

    public int cachedTime

### id

    public java.lang.Object id

Constructor Detail

### CacheObject

    public CacheObject(java.lang.Object identifier,
                       java.lang.Object cachedObject)

  New object, set the local clock to zero

Method Detail

### match

    public boolean match(java.lang.Object queryID)

### older

    public boolean older(int time)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details